Bug 170415 - 525374 - When console X session is configured to be attached to with VNC, system freezes
525374 - When console X session is configured to be attached to with VNC, sys...
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vnc (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 11:19 EDT by Alan Matsuoka
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 11:36:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Matsuoka 2005-10-11 11:19:43 EDT
*** Notes: DAVIDTX  04/04/2005 16:00:23
Console X session is configured so I can attach to it with VNC.  However, as
soon as you actually connect to it, the entire system freezes.  I ssh'd into the
system and had "tail -f /var/log/messages" running when I attempted to do this.
 The following error message was generated:

Apr  4 14:49:20 apdsqavirt2 kernel: [drm:radeon_cp_idle] *ERROR* radeon_cp_idle
called without lock held

At this point, the system is locked up and has to be power-cycled to recover.   

Hardware is a Dell PowerEdge 2800 with an ATI Radeon 7000 video chipset on the
motherboard.  OS is AS3.0 Update 4.  All patches through this a.m. have been
applied.

*** Notes: CEVICH@REDHAT.COM  04/07/2005 16:41:52
Sir,
    When the system goes down, are you able to toggle the keyboard lights on/off
(i.e. caps-lock)?  Also, I'd like to take a look at a sysreport from this
system.  You can generate one by running the command "sysreport" as root.  You
will then need to attach the file to this issue.  The VNC server also keeps a
log file inside your home-directory under a directory named .vnc.  It would be
helpful to see the contents of this just before the crash as well.  You can use
the same tail -f method you used before.  Finally, if you could also attach the
most recent /var/log/XFree86.log file as well it would be handy to take a look
at.  Thanks for contacting Red Hat support.

Regards,
Chris Evich

*** Notes: DAVIDTX  04/11/2005 18:45:34
File dsullivan.10420.tar.bz2 attached
File XFree86.0.log attached

*** Notes: DAVIDTX  04/11/2005 18:45:34

The system freezes hard, so no keyboard activity whatsoever.  Nothing in the
.vnc directory on /root.  To clarify, I'm using the 'Load "vnc"' option inside
XF86Config, and not running a separate VNC server.  This apparently does not
produce any sort of log file.

*** Notes: DAVIDTX  04/11/2005 18:46:28
One important note: if I change from the "radeon" driver to the "vesa" driver in
XF86Config, the problem goes away, so it's definitely an issue with that driver.

*** Notes: CEVICH@REDHAT.COM  04/13/2005 18:22:27
Sir,
    Thanks for the information.  I will need to do some additional research on
this issue.  I will update you with whatever I find.  Thanks.

Regards,
Chris Evich

*** Notes: CEVICH@REDHAT.COM  04/14/2005 18:20:20
Sir,
    I took a look at your sysreport and other data.  Unfortunately nothing
really jumped out at me.
Normally this type of issue would fall into the not-supported / best effort
category.  However, I'm not sure if this behavior is exposing a bug in the
radeon driver or not.  It certinly should not be "hanging" the machine.  
   I am escalating this issue to a senior support engineer so they can review
the data.  They will have a better idea if this is a bug in the radeon driver we
need to fix.  If you have any questions in the mean time, please feel free to
let us know.  Thanks for choosing Red Hat support.

Regards,
Chris Evich

*** Notes: CKLOIBER@REDHAT.COM  04/15/2005 15:32:00
I'm going to attempt to duplicate this, but I need to scare up an ATI Radeon
card first. Please give me an hour or two.

*** Notes: CKLOIBER@REDHAT.COM  04/15/2005 17:31:04
I regret I have been unable to obtain a Radeon to duplicate this issue with. I
do have one at home (somewhere) however, so I will try to duplicate this over
the weekend. In the meantime, please try commenting out the line:

  Load   "dri"

from the modules section of your XF86Conifg file. This line will disable 3D
accelleration, but it may prevent the system from locking up.

Thanks.

*** Notes: DAVIDTX  04/27/2005 15:41:22
Removing the "dri" module load from the XF86Config file stops the system from
hanging, also.  Is it practical to try and run a trace on the X server so I can
provide you with more information about where the radeon driver is failing?

*** Notes: CKLOIBER@REDHAT.COM  04/28/2005 16:21:23
I think I'll be told that vnc and dri are mutually exclusive. If you want I can
try escalating this as a bug, but I do not expect a quick resolution. If running
your desktop without 3d accelleration works for you I suggest you use it like
that for now.
Comment 1 Tim Waugh 2005-10-11 11:36:11 EDT
See bug #124714 (and several others) in which this problem is encountered.  The
short story is that DRI and VNC are mutually exclusive as you say.

Note You need to log in before you can comment on or make changes to this bug.